openSUSE Security Update : zlib (openSUSE-2016-1499)

High Nessus Plugin ID 95975

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for zlib fixes the following issues :

- Remove incompatible declarations of 'struct internal_state' (boo#1003577)

- Avoid out-of-bounds pointer arithmetic in inftrees.c (boo#1003579, CVE-2016-9840, CVE-2016-9841)

- Avoid left-shift with negative number (boo#1003580, CVE-2016-9842)

- Avoid undefined behaviour in pointer arithmetic on powerpc (boo#1013882, CVE-2016-9843)

Solution

Update the affected zlib packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1003577

https://bugzilla.opensuse.org/show_bug.cgi?id=1003579

https://bugzilla.opensuse.org/show_bug.cgi?id=1003580

https://bugzilla.opensuse.org/show_bug.cgi?id=1013882

Plugin Details

Severity: High

ID: 95975

File Name: openSUSE-2016-1499.nasl

Version: Revision: 3.4

Type: local

Agent: unix

Published: 2016/12/21

Updated: 2018/01/26

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libminizip1, p-cpe:/a:novell:opensuse:libminizip1-debuginfo, p-cpe:/a:novell:opensuse:libz1, p-cpe:/a:novell:opensuse:libz1-32bit, p-cpe:/a:novell:opensuse:libz1-debuginfo, p-cpe:/a:novell:opensuse:libz1-debuginfo-32bit, p-cpe:/a:novell:opensuse:minizip-devel, p-cpe:/a:novell:opensuse:zlib-debugsource, p-cpe:/a:novell:opensuse:zlib-devel, p-cpe:/a:novell:opensuse:zlib-devel-32bit, p-cpe:/a:novell:opensuse:zlib-devel-static, p-cpe:/a:novell:opensuse:zlib-devel-static-32bit, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/12/20

Reference Information

CVE: CVE-2016-9840, CVE-2016-9841, CVE-2016-9842, CVE-2016-9843